<?php

/**
 * Module qui gère le logout d'un utilisateur
 * 
 * @author Olivier Arteau
 */

class Logout implements Module {
	public function executerCommande(array $param, StatusObject $status) {
		$usr = Session::getUtilisateurCourrant();
		if ($usr != null) {
			$usr->setLastPing(0);
		}
		Session::detruire();
		
		JSONOutput::output(array(
			'resultat' => 'true',
			'message' => 'Déconnecté avec succès. Merci d\'avoir utilisé PHP Chat.'	
		));
		
		return PAFServer::$NO_ACTION_TAKEN;
	}
	
    public function onStatusChange(array $param, StatusObject $newStatus) {
    	
    }
    
    public function getCommandesEnregistre() {
    	return array('logout');
    }
    
    public function finalize(array $param, StatusObject $status) {
    	
    }
}

PAFServer::getInstance()->enregistrerModule(new Logout());
?>